Updates a folder

PATCH
https://api.datawrapper.de/v3/folders/{id}

Update a folder. Requires scope folder:write.

Example Request

curl --request PATCH \
  --url https://api.datawrapper.de/v3/folders/12345 \
  --header 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  --header 'Content-Type: application/json' \
  --data '{
  "name": "string",
  "parentId": 0
}'

Headers

NameValueRequiredDescription
Content-Typeapplication/jsonYesThe format of the request body.

Path Parameters

NameTypeRequiredDescription
idnumberYesFolder ID.

Request Body

FieldTypeRequiredDescription
namestringNoFolder name.
parentIdnumberNoParent folder.
userIdstringNoThe user this folder belongs to.
teamIdstringNoThe team this folder belongs to.

Response

FieldTypeRequiredDescription
idintegerNo
namestringNoUser-defined folder name
userIdintegerNoIf set, this is a private folder, and it belongs to the indicated user. If unset, the folder is located in a shared team archive (see teamId).
teamIdstringNoThe ID of the team that this folder is in. If unset, this folder is private.
parentIdintegerNoThe id of the folder that this folder is in. If 'null', the folder is in the root of either a team, or your private charts. (See userId and teamId, to determine which)
workspacestringNoSlug of the workspace that the folder is in.
childrenobject[]NoList of top-level subfolders of this folder.
children.idintegerNo
chartsobject[]NoList of visualizations in this folder. To access the visualizations in subfolders of this folder, those folders must be queried separately.
charts.idstringNo